#
# spec file for package update-alternatives (Version 1.8.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           update-alternatives
Url:            http://www.debian.org/
%define jpackage-section free
Version:        1.8.3
Release:        36
Summary:        Maintain symbolic links determining default commands
License:        GPL v2 or later
Group:          System/Management
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-script.patch
Patch1:         %{name}-man.patch
Patch2:         %{name}-manual-state.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    no
Requires:       /usr/bin/perl

%description
update-alternatives creates, removes, maintains and displays
information about the symbolic links comprising the alternatives
system. It is possible for several programs fulfilling the same or
similar functions to be installed on a single system at the same time.
For example, many systems have several text editors installed at once.
This gives choice to the users of a system, allowing each to use a
different editor, if desired, but makes it difficult for a program to
make a good choice of editor to invoke if the user has not specified a
particular preference.

On SUSE Linux, this functionality is only used for packages that are
part of the JPackage project <http://www.jpackage.org/>



%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2 -b .sav

%build
# Nope.

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 update-alternatives.pl \
  $RPM_BUILD_ROOT%{_sbindir}/update-alternatives
install -D -p -m 644 update-alternatives.8 \
  $RPM_BUILD_ROOT%{_mandir}/man8/update-alternatives.8
# Paths hardcoded in script and patch0.
install -d -m 755 $RPM_BUILD_ROOT/etc/alternatives
install -d -m 755 $RPM_BUILD_ROOT/var/lib/rpm/alternatives

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/alternatives
%{_sbindir}/update-alternatives
%{_mandir}/man8/update-alternatives.8*
# Paths hardcoded in script and patch0.
/etc/alternatives
/var/lib/rpm/alternatives
%changelog
* Tue Nov 06 2007 - mvyskocil@suse.cz
- fix the manual link state after --install and --remove commands [#334783]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Wed Sep 01 2004 - skh@suse.de
- Initial package version 1.8.3
